[options]
library = "GstVideo"
version = "1.0"
min_cfg_version = "1.8"
work_mode = "sys"

extra_versions = [
    "1.20",
    "1.18",
    "1.16",
    "1.14",
    "1.12",
    "1.10",
    "1.8",
    "1.6",
    "1.4",
    "1.2",
]

external_libraries = [
    "GLib",
    "GObject",
]

ignore = [
    "GstVideo.VIDEO_FORMATS_ALL",
]

[external_libraries]
gstreamer="Gst"
gstreamer_base="GstBase"

[[object]]
name = "GstVideo.VideoOverlayFormatFlags"
status = "generate"
    [[object.function]]
    name = "get_type"
    version = "1.16"

[[object]]
name = "GstVideo.VideoTimeCodeFlags"
status = "generate"
    [[object.function]]
    name = "get_type"
    version = "1.18"

[[object]]
name = "GstVideo.*"
status = "generate"
    [[object.function]]
    name = "video_time_code_meta_api_get_type"
    version = "1.10"
    [[object.function]]
    name = "video_caption_meta_api_get_type"
    version = "1.16"
    [[object.function]]
    name = "video_afd_meta_api_get_type"
    version = "1.18"
    [[object.function]]
    name = "video_bar_meta_api_get_type"
    version = "1.18"
